org.eclipse.gef.mvc.fx.providers

## Class TopLeftSnappingLocationProvider

- java.lang.Object
- - org.eclipse.gef.mvc.fx.providers.BoundsSnappingLocationProvider
  - - org.eclipse.gef.mvc.fx.providers.TopLeftSnappingLocationProvider

All Implemented Interfaces:
  ISnappingLocationProvider

    public class TopLeftSnappingLocationProvider
    extends BoundsSnappingLocationProvider

The `TopLeftSnappingLocationProvider` returns the top left corner of the bounds as the only snapping location. It can be used, for example, to provide locations for `SnapToGrid`.

### Constructor Summary

Constructors
Constructor and Description
`TopLeftSnappingLocationProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<SnappingModel.SnappingLocation>` `getHorizontalSnappingLocations(IContentPart<? extends Node> part)` Returns the horizontal `SnappingModel.SnappingLocation`s for the given `IContentPart`.
`List<SnappingModel.SnappingLocation>` `getVerticalSnappingLocations(IContentPart<? extends Node> part)` Returns the vertical `SnappingModel.SnappingLocation`s for the given `IContentPart`.

### Methods inherited from class org.eclipse.gef.mvc.fx.providers.BoundsSnappingLocationProvider

`getSnappingLocations`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.gef.mvc.fx.providers.ISnappingLocationProvider

`union`

### Constructor Detail

#### TopLeftSnappingLocationProvider

    public TopLeftSnappingLocationProvider()

### Method Detail

#### getHorizontalSnappingLocations

    public List<SnappingModel.SnappingLocation> getHorizontalSnappingLocations(IContentPart<? extends Node> part)

Description copied from interface: `ISnappingLocationProvider`
Returns the horizontal `SnappingModel.SnappingLocation`s for the given `IContentPart`.

Specified by:
  `getHorizontalSnappingLocations` in interface `ISnappingLocationProvider`
Overrides:
  `getHorizontalSnappingLocations` in class `BoundsSnappingLocationProvider`
Parameters:
  `part` - The `IContentPart` for which to compute the `SnappingModel.SnappingLocation`s.
Returns:
  A `List` of all horizontal `SnappingModel.SnappingLocation`s for the given `IContentPart`.

#### getVerticalSnappingLocations

    public List<SnappingModel.SnappingLocation> getVerticalSnappingLocations(IContentPart<? extends Node> part)

Description copied from interface: `ISnappingLocationProvider`
Returns the vertical `SnappingModel.SnappingLocation`s for the given `IContentPart`.

Specified by:
  `getVerticalSnappingLocations` in interface `ISnappingLocationProvider`
Overrides:
  `getVerticalSnappingLocations` in class `BoundsSnappingLocationProvider`
Parameters:
  `part` - The `IContentPart` for which to compute the `SnappingModel.SnappingLocation`s.
Returns:
  A `List` of all vertical `SnappingModel.SnappingLocation`s for the given `IContentPart`.